package com.huashe.park.domain.entity;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 围栏闯禁事件对象 bd_fence_vio_evt
 *
 * @author ruoyi
 * @date 2024-10-14
 */
public class BdFenceVioEvt extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long id;

    /**
     *
     */
    @Excel(name = "")
    private String evtKey;

    /**
     * 事件类型
     * 01 围栏闯禁事件
     */
    @Excel(name = "事件类型01 围栏闯禁事件")
    private String evtType;

    /**
     * 事件描述
     */
    @Excel(name = "事件描述")
    private String evtDesc;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private Double lng;

    /**
     * 维度
     */
    @Excel(name = "维度")
    private Double lat;

    /**
     * 围栏id
     */
    @Excel(name = "围栏id")
    private Long fenceId;

    private String evtStatus;

    private String evtTime;

    private Long locationId;

    public Long getLocationId() {
        return locationId;
    }

    public void setLocationId(Long locationId) {
        this.locationId = locationId;
    }


    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setEvtKey(String evtKey) {
        this.evtKey = evtKey;
    }

    public String getEvtKey() {
        return evtKey;
    }

    public void setEvtType(String evtType) {
        this.evtType = evtType;
    }

    public String getEvtType() {
        return evtType;
    }

    public void setEvtDesc(String evtDesc) {
        this.evtDesc = evtDesc;
    }

    public String getEvtDesc() {
        return evtDesc;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    public Double getLng() {
        return lng;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public Double getLat() {
        return lat;
    }

    public void setFenceId(Long fenceId) {
        this.fenceId = fenceId;
    }

    public Long getFenceId() {
        return fenceId;
    }

    public String getEvtStatus() {
        return evtStatus;
    }

    public void setEvtStatus(String evtStatus) {
        this.evtStatus = evtStatus;
    }

    public String getEvtTime() {
        return evtTime;
    }

    public void setEvtTime(String evtTime) {
        this.evtTime = evtTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("evtKey", getEvtKey())
                .append("evtType", getEvtType())
                .append("evtDesc", getEvtDesc())
                .append("lng", getLng())
                .append("lat", getLat())
                .append("fenceId", getFenceId())
                .append("updateTime", getUpdateTime())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .toString();
    }
}
